<?php

namespace plugin\ticket\controller;

use plugin\ticket\model\TicketRepair;
use plugin\ticket\model\TicketType;
use think\admin\Controller;
use think\admin\helper\QueryHelper;

/**
 * 维修工单管理
 */
class Repair extends Controller
{
    /**
     * 维修工单列表
     * @auth true
     * @menu true
     * @return void
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     */
    public function index()
    {
        $this->title = '维修工单管理';
        $this->type_list = TicketType::getList();
        TicketRepair::mQuery()->layTable(function () {
        }, static function (QueryHelper $query) {
            $query->equal('status')->like('title');
            $query->timeBetween('create_at');
        });
    }

    /**
     * 添加维修工单
     * @auth true
     * @menu true
     * @return void
     */
    public function add()
    {
        $this->title = '添加维修工单';
        TicketRepair::mForm('form');
    }

    /**
     * 编辑维修工单
     * @auth true
     * @menu true
     * @return void
     */
    public function edit()
    {
        $this->title = '编辑维修工单';
        $this->id = $this->request->param('id');
        TicketRepair::mForm('form', 'id');
    }

    /**
     * 删除维修工单
     * @auth true
     * @menu true
     * @return void
     */
    public function remove()
    {
        TicketRepair::mDelete('id');
    }

    /**
     * 修改维修工单状态
     * @auth true
     * @menu true
     * @return void
     */
    public function status()
    {
        TicketRepair::mSave($this->_vali([
            'id.require' => '工单ID不能为空',
            'status.in:0,1' => '状态值范围异常！',
            'status.require' => '状态值不能为空！',
        ]), 'id');
    }
}