<?php

namespace plugin\ticket\controller;

use plugin\ticket\model\TicketType;
use plugin\ticket\model\TicketVerify;
use think\admin\Controller;
use think\admin\helper\QueryHelper;

/**
 * 验收工单管理
 */
class Verify extends Controller
{
    /**
     * 验收工单列表
     * @auth true
     * @menu true
     * @return void
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     */
    public function index()
    {
        $this->title = '验收工单管理';
        $this->type_list = TicketType::getList();
        TicketVerify::mQuery()->layTable(function () {
        }, static function (QueryHelper $query) {
            $query->equal('status')->like('title');
            $query->timeBetween('create_at');
        });
    }

    /**
     * 添加验收工单
     * @auth true
     * @menu true
     * @return void
     */
    public function add()
    {
        $this->title = '添加验收工单';
        TicketVerify::mForm('form');
    }

    /**
     * 编辑验收工单
     * @auth true
     * @menu true
     * @return void
     */
    public function edit()
    {
        $this->title = '编辑验收工单';
        $this->id = $this->request->param('id');
        TicketVerify::mForm('form', 'id');
    }

    /**
     * 删除验收工单
     * @auth true
     * @menu true
     * @return void
     */
    public function remove()
    {
        TicketVerify::mDelete('id');
    }

    /**
     * 修改验收工单状态
     * @auth true
     * @menu true
     * @return void
     */
    public function status()
    {
        TicketVerify::mSave($this->_vali([
            'id.require' => '工单ID不能为空',
            'status.in:0,1' => '状态值范围异常！',
            'status.require' => '状态值不能为空！',
        ]), 'id');
    }
}