<?php

namespace plugin\ticket\model;

use think\admin\Model;
use think\admin\model\SystemUser;

class ApprovalLog extends Model
{
    // 表名定义
    protected $name = 'approval_log';

    // 自动写入时间戳
    protected $autoWriteTimestamp = 'datetime';
    protected $createTime = 'create_time';
    protected $updateTime = 'update_time';

    // 关联审批实例
    public function instance()
    {
        return $this->belongsTo(ApprovalInstance::class, 'instance_id', 'id');
    }

    // 关联审批步骤
    public function step()
    {
        return $this->belongsTo(ApprovalStep::class, 'step_id', 'id');
    }

    // 关联操作用户（示例：关联现有用户表）
    public function operator()
    {
        return $this->belongsTo(SystemUser::class, 'user_id', 'id');
    }

    // 格式化操作类型
    public function getActionTextAttr($value, $data)
    {
        $actionMap = [
            'approve' => '审批通过',
            'reject' => '驳回',
            'transfer' => '转交审批'
        ];
        return $actionMap[$data['action']] ?? '未知操作';
    }
}